<nav class="navbar sticky-top navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="/">Newspaper</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{% url "pages:home" %}">Home</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url "pages:about"%}">About</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url "blog:blog_list_home"%}">Blogs</a>
      </li> 
    </ul>
    
    {% if request.user.is_authenticated %}
      <div class="nav-item dropdown ml-auto">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          {{request.user.username}}
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="{% url 'password_change' %}">Change Password</a>
          <a class="dropdown-item" href="{% url "logout" %}">Logout</a>
        </div>
      </div>
      {% else %}
      <form class="form-inline ml-auto">
        <a class="btn btn-outline-secondary" href="{% url "login"%}">Log In</a>
        <a class="btn btn-primary ml-2" href="{% url "users:signup"%}">Sign Up</a>
      </form>
      {% endif %}
  </div>
</nav>
<br>